import { ApiBase } from './ApiBase';
import { CellSummaryApi } from '../CellSummaryApi';
import { CellSummaryOperation } from '../../PredefinedConfig/Common/CellSummary';
import { SummaryOperation } from '../../PredefinedConfig/Common/Enums';
export declare class CellSummaryApiImpl extends ApiBase implements CellSummaryApi {
    openCellSummaryPopupSettingsPanel(): void;
    getCurrentCellSummaryOperation(): CellSummaryOperation | string;
    getCellSummaryOperationDefinitions(): CellSummaryOperation[];
    setCurrentCellSummaryOperation(operation: SummaryOperation | string): void;
    getCellSummaryOperationValue(operation: SummaryOperation | string): any;
    getCurrentCellSummaryOperationValue(): any;
}
